=== src_plugins/acompnet/Makefile ===
all:
	cd ../../src && $(MAKE) mod_acompnet

clean:
	rm *.o *.so 2>/dev/null ; true
