=== src_plugins/act_read/Makefile ===
all:
	cd ../../src && $(MAKE) mod_act_read
	

clean:
	rm *.o *.so 2>/dev/null ; true
