=== src_plugins/autocrop/Makefile ===
all:
	cd ../../src && $(MAKE) mod_autocrop

clean:
	rm *.o *.so 2>/dev/null ; true
