=== debian/changelog ===
pcb-rnd (3.0.3-1) unstable; urgency=medium

  * new upstream version, closes: #1002252, #968285
  * enable use of fungw for additional scripting options, now that fungw and 
    friends are packaged in Debian

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Jan 2022 00:37:04 -0700

pcb-rnd (3.0.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 05 Nov 2021 17:11:24 -0600

pcb-rnd (3.0.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Oct 2021 00:26:11 -0600

pcb-rnd (3.0.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Sep 2021 21:09:31 -0600
