=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.1.0), librnd3-cloud, librnd3-lib-gui, imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libxml2-dev, libgenht1-dev, libfungw-dev
Standards-Version: 4.6.0
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/pcb-rnd

Package: pcb-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-io-standard (= ${binary:Version}),
	pcb-rnd-io-alien (= ${binary:Version}),
	pcb-rnd-lib-gui (= ${binary:Version}),
	librnd3-hid-gtk2-gl,
	librnd3-hid-gtk2-gdk,
	pcb-rnd-export (= ${binary:Version}),
	pcb-rnd-export-sim (= ${binary:Version}),
	pcb-rnd-export-extra (= ${binary:Version}),
	pcb-rnd-auto (= ${binary:Version}),
	pcb-rnd-extra (= ${binary:Version}),
	pcb-rnd-cloud (= ${binary:Version}),
	pcb-rnd-doc (= ${source:Version}),
	pcb-rnd-import-net (= ${binary:Version})
Suggests: geda-gnetlist
Description: Standard installation of pcb-rnd
 pcb-rnd is a highly modular PCB (Printed Circuit Board) layout tool
 with a rich set of plugins for communicating with various external
 design tools and other EDA/CAD packages.
 .
 Feature highlights:
   - subcircuits, pad stacks
   - flexible footprint model; unrestricted pad shapes
   - arbitrary copper, silk, paste and soldermask objects
   - sophisticated, flexible layer model
   - flexible/universal polygon model
   - any object, even polygons, can have a clearance within a polygon
   - advanced mil and mm grid, with support for mixed unit design
   - strong CLI support
   - static footprints and parametric (generated) footprints
   - query language for advanced search & select
   - powerful, user scriptable, modular Design Rule Checker (DRC)
   - layout optimizers such as teardrops and a trace puller
   - footprint library from local file systems, HTTP and board files
   - netlist management: imported and as-built; back annotation
 .
 File formats and compatibility:
   - text based, tree structured native file format (lihata)
   - import board:
     * Altium PcbDoc ASCII board
     * autotrax PCB board, version 4
     * autotrax PCB board, version 5
     * dsn board
     * eagle xml board version 6, 7, 8
     * eagle binary board version 3, 4, 5
     * hyperlynx board, version 2 and above
     * kicad board, version 3, 4 and 5 (s-expr)
     * lihata pcb-rnd board (any version)
     * PADS ASCII board
     * gEDA/PCB .pcb board (any version up to 2017)
   - export board:
     * anonimized board statistics in lihata
     * autotrax PCB board, version 4
     * specctra dsn board
     * hyperlynx board, version 2.0
     * kicad board, version 3 (s-expr)
     * kicad pcbnew-board, version 1 (legacy plain text format)
     * lihata pcb-rnd board (any version)
     * PADS ASCII board
     * gEDA/PCB .pcb board (various version up to 2017)
   - import footprint:
     * BXL footprints
     * eagle xml footprint lib .lbr (as board)
     * eagle xml footprint lib .lbr (as footprint)
     * eagle binary footprint lib (as board)
     * lihata pcb-rnd footprint (any version)
     * Mentor Graphics cell footprints
     * gEDA/PCB .fp footprints
     * tEDAx footprint (any version)
   - export footprint:
     * kicad module (s-expr, according to version 3)
     * kicad pcbnew-module (legacy plain text format)
     * lihata pcb-rnd footprint (any version)
     * gEDA/PCB .fp footprints
     * tEDAx footprint (any version)
   - import netlist:
     * Accel ASCII netlists + footprint info
     * calay (netlists + footprint info)
     * flat netlist from EDIF
     * freepcb netlist + footprint info
     * gEDA/gschem (netlist + footprint info, running gnetlist)
     * import ltspice .net and .asc (netlist and footprint info)
     * flat .edf (netlist+footprint, produced by Mentor Graphics Design Capture)
     * pcb-rnd action script (netlist + footprint info)
     * schematics import by running a commandline
     * netlist import by running a commandline
     * gEDA netlist (plain text, no footprint info)
     * Orcad PCB II (netlist + footprint info)
     * PADS ascii (.asc, netlists + footprint info)
     * Protel netlists 2.0 + footprint info
     * tinycad .net (netlists + footprint info)
     * eeschema netlist and footprint info
     * tEDAx netlist (any version)
   - export netlist:
     * tEDAx netlist (any version)
   - import image:
     * pixmap (e.g. png)
     * pnm (pixmap)
   - export image:
     * render in .png
     * render in .gif
     * render in .jpeg
     * render black&white postscript (single or multiple files)
     * render black&white or color embedded postscript (single file)
     * pro (projector: 3d rendering)
     * svg (Scalable Vector Graphics)
   - import misc:
     * HPGL plot (lines, arcs, polygons)
     * MUCS unixplot .pl (lines and vias)
     * ttf font
     * specctra .dsn (route result: wires and vias)
     * specctra .ses (route result: wires and vias)
     * eagle DRU (design rules)
     * lihata pcb-rnd font (any version)
     * gEDA/PCB font
     * tEDAx drc
     * tEDAx pcb-rnd drc script
   - export misc:
     * bom (Bill of Materials, text)
     * .dxf (2D drawing for mech CADs)
     * excellon drill/cnc (for PCB fabbing)
     * fidocad .fcd (partial export)
     * export gcode (for milling)
     * gerber for PCB fabbing
     * IPC-D-356 Netlist (for automated testing)
     * printer (using ps)
     * list of terminal connections (old, custom format)
     * OpenEMS (simulation, matlab files)
     * openscad script (colored 3D model)
     * stl (3d triangulated surface model)
     * amf (Additive Manufacturing File, surface model)
     * geda/PCB xy
     * gxyrs
     * Macrofab's pick&place
     * pick&place file for the TM220/TM240 device
     * KiCad .pos file
     * IPC-D-356 Netlist (from automated testing)
     * lihata pcb-rnd font (any version)
     * tEDAx etest
     * tEDAx drc
     * tEDAx pcb-rnd drc script

Package: pcb-rnd-debug
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Debug and diagnostics.
 Extra action commands to help in debugging and diagnosing problems
 and bugs.

Package: pcb-rnd-export
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Common export plugins.
 Export the board in vector graphics (svg, ps, eps), raster graphics
 (png, jpeg, etc.), gerber, 3d model in openscad, xy for pick and
 place, BoM, etc.

Package: pcb-rnd-doc
Architecture: all
Depends: ${misc:Depends}
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Documentation for pcb-rnd
 User manual (html) and manual pages.

Package: pcb-rnd-export-sim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Export plugins to simulators
 Export the board in formats that can be used for simulation: openems.

Package: pcb-rnd-import-geo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Geometry import.
 Plugins for importing pixmaps, fonts and vector graphics.

Package: pcb-rnd-import-net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	librnd3
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Netlist/schematics import plugins.
 Import netlist and footprint information from edif, ltspice, mentor
 graphics, gschem and tinycad.

Package: pcb-rnd-auto
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	librnd3,
	pcb-rnd-lib-io (= ${binary:Version}),
	pcb-rnd-io-standard (= ${binary:Version})
Description: Autoroute and autoplace.
 Feature plugins for automated component placing and track routing.

Package: pcb-rnd-lib-io
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Support library for alien file formats.
 Provides generic, low level parsers (such as s-expression parser) for
 I/O plugins that need to deal with alien file formats.

Package: pcb-rnd-io-standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-io (= ${binary:Version})
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Commonly used non-native board and footprint file formats
 Plugins for tEDAx footprint format and the gEDA/PCB file formats
 (footprint and board).

Package: pcb-rnd-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
	pcb-rnd-core (= ${binary:Version}),
	librnd3-lib-gui
Description: Support library for building the GUI.
 Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window
 GUI elements.

Package: pcb-rnd-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: pcb-rnd executable with the core functionality
 Includes the data model, the most common action commands, the native
 file format and the CLI (batch HID). Does not contain GUI. Can be
 used in headless mode or batch/scripted mode for automated processing.

Package: pcb-rnd-io-alien
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-io (= ${binary:Version}),
	pcb-rnd-extra (= ${binary:Version}),
	librnd3
Description: File format compatibility with other PCB layout designers.
 Load and/or save boards in file formats supported by other EDA tools,
 such as KiCAD, Eagle, protel/autotrax, etc.

Package: pcb-rnd-cloud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
	pcb-rnd-core (= ${binary:Version}),
	librnd3-cloud
Description: Networking plugins.
 'Cloud' footprint access plugin that integrates edakrill and
 gedasymbols.org.

Package: pcb-rnd-export-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-export (= ${binary:Version})
Description: Export formats: special/extra
 Less commonly used export formats: fidocadj, ipc-356-d, stl, old geda
 connection list format, direct printing with lpr.

Package: pcb-rnd-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Extra action commands and optional functionality.
 Align objects in grid, optimize tracks, font editor, combine
 polygons, renumber subcircuits, apply vendor drill mapping.
