## pcb-rnd 3.0.6

=== scconfig/Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 
 hooks.o: hooks.c $(RNDHOOKS) plugins.h Rev.h $(LIBRND_PREFIX)/include/librnd/scconfig
 
-librnd_ver.o: librnd_ver.c
+librnd_ver.o: librnd_ver.c $(LIBRND_PREFIX)/include/librnd/config.h
 	$(CC) -c $(CFLAGS) -o librnd_ver.o librnd_ver.c
 
 $(BIN)/util/arg_auto_set.o: $(SRC)/util/arg_auto_set.c $(SRC)/util/arg_auto_set.h
