=== tests/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 test:
 	cd RTT && $(MAKE) all && $(MAKE) test
 	cd pcbflags && $(MAKE) all && $(MAKE) test
-	cd conf && $(MAKE) all && $(MAKE) test
 	cd strflags && $(MAKE) all && $(MAKE) test
 	cd uniq_name && $(MAKE) all && $(MAKE) test
 	cd propedit && $(MAKE) all && $(MAKE) test
@@ -20,7 +19,6 @@
 clean:
 	cd RTT && $(MAKE) clean
 	cd pcbflags && $(MAKE) clean
-	cd conf && $(MAKE) clean
 	cd strflags && $(MAKE) clean
 	cd uniq_name && $(MAKE) clean
 	cd propedit && $(MAKE) clean
