=== src_plugins/show_netnames/Makefile ===
all:
	cd ../../src && $(MAKE) mod_show_netnames

clean:
	rm *.o *.so 2>/dev/null ; true
