=== src_plugins/export_stl/test_load/Makefile ===
CFLAGS = -g -Wall -I.
LDFLAGS = -lm

main: main.c ../stl_models.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o main main.c
