=== debian/changelog ===
pcb-rnd (3.0.6-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Nov 2022 15:17:25 -0600

pcb-rnd (3.0.5-3) unstable; urgency=medium

  * roll version number to include orig.tar.gz in upload

 -- Bdale Garbee <bdale@gag.com>  Fri, 09 Sep 2022 22:19:12 -0600

pcb-rnd (3.0.5-2) unstable; urgency=medium

  * patch from upstream to elide failing conf tests that are redundant since
    that code now exists and is tested in librnd, closes: #1015035

 -- Bdale Garbee <bdale@gag.com>  Thu, 25 Aug 2022 16:18:01 -0600

pcb-rnd (3.0.5-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Jul 2022 04:13:47 -0600
