=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	pcb-rnd-io-standard (= ${binary:Version}),
 	pcb-rnd-io-alien (= ${binary:Version}),
 	pcb-rnd-lib-gui (= ${binary:Version}),
-	librnd3-hid-gtk2-gl,
-	librnd3-hid-gtk2-gdk,
+	librnd3-hid-gtk2-gl (>=3.2.0),
+	librnd3-hid-gtk2-gdk (>=3.2.0),
 	pcb-rnd-export (= ${binary:Version}),
 	pcb-rnd-export-sim (= ${binary:Version}),
 	pcb-rnd-export-extra (= ${binary:Version}),
@@ -102,14 +102,14 @@
      * Orcad PCB II (netlist + footprint info)
      * PADS ascii (.asc, netlists + footprint info)
      * Protel netlists 2.0 + footprint info
+     * sch-rnd sheet (netlist + footprint info, running sch-rnd)
+     * sch-rnd project (netlist + footprint info, running sch-rnd)
+     * Ringdove project (netlist + footprint info, running sch-rnd)
      * tinycad .net (netlists + footprint info)
      * eeschema netlist and footprint info
      * tEDAx netlist (any version)
    - export netlist:
      * tEDAx netlist (any version)
-   - import image:
-     * pixmap (e.g. png)
-     * pnm (pixmap)
    - export image:
      * render in .png
      * render in .gif
@@ -163,7 +163,7 @@
 
 Package: pcb-rnd-export
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version}), librnd3 (>= 3.2.0), librnd3-pixmap (>=3.2.0)
 Description: Common export plugins.
  Export the board in vector graphics (svg, ps, eps), raster graphics
  (png, jpeg, etc.), gerber, 3d model in openscad, xy for pick and
@@ -193,7 +193,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3
+	librnd3 (>= 3.2.0)
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: Netlist/schematics import plugins.
@@ -204,7 +204,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3,
+	librnd3 (>= 3.2.0),
 	pcb-rnd-lib-io (= ${binary:Version}),
 	pcb-rnd-io-standard (= ${binary:Version})
 Description: Autoroute and autoplace.
@@ -232,20 +232,21 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3-lib-gui
+	librnd3-lib-gui (>= 3.2.0)
 Description: Support library for building the GUI.
  Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window
  GUI elements.
 
 Package: pcb-rnd-core
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (>= 3.2.0)
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: pcb-rnd executable with the core functionality
  Includes the data model, the most common action commands, the native
- file format and the CLI (batch HID). Does not contain GUI. Can be
- used in headless mode or batch/scripted mode for automated processing.
+ file format.  Can be used in headless mode or batch/scripted mode for
+ automated processing or with GUI (if pcb-rnd-lib-gui and librnd GUI
+ HIDs are installed).
 
 Package: pcb-rnd-io-alien
 Architecture: any
@@ -253,7 +254,7 @@
 	pcb-rnd-core (= ${binary:Version}),
 	pcb-rnd-lib-io (= ${binary:Version}),
 	pcb-rnd-extra (= ${binary:Version}),
-	librnd3
+	librnd3 (>= 3.2.0)
 Description: File format compatibility with other PCB layout designers.
  Load and/or save boards in file formats supported by other EDA tools,
  such as KiCAD, Eagle, protel/autotrax, etc.
@@ -262,7 +263,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3-cloud
+	librnd3-cloud (>= 3.2.0),
+	pcb-rnd-export (= ${binary:Version}),
 Description: Networking plugins.
  'Cloud' footprint access plugin that integrates edakrill and
  gedasymbols.org.
