## pcb-rnd 3.1.0

=== doc/Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
-MENU_RES=../src/menu-default.lht
-KEYLIST=../util/keylist.sh
-DEBLIST=../util/devhelpers/deblist.sh
+MENU_RES=../src/menu-default.lht ../src_plugins/*/*-menu.lht
 ROOT=..
 
 all: keys.html user/05_ui/04_common/keytree.svg user/05_ui/04_common/keytree.txt
 	ROOT="" ./Autostyle.sh *.html
-	./datasheet.sh
+	LIBRND_LIBDIR="$(LIBRND_LIBDIR)" ./datasheet.sh
 
 include ../Makefile.conf
+include $(LIBRND_MAK)
 
 user/05_ui/04_common/keytree.svg: $(MENU_RES) $(KEYLIST)
 	$(KEYLIST) --dot user/05_ui/04_common/src/node_names.txt $(MENU_RES) > user/05_ui/04_common/keytree.dot
