=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.1.0), librnd3-cloud, librnd3-lib-gui, imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libxml2-dev, libgenht1-dev, libfungw-dev
+Build-Depends: debhelper (>= 11), librnd4-dev, librnd4-cloud, librnd4-lib-gui, imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libxml2-dev, libgenht1-dev, libfungw-dev
 Standards-Version: 4.6.0
 Homepage: http://repo.hu/projects/pcb-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
@@ -16,8 +16,8 @@
 	pcb-rnd-io-standard (= ${binary:Version}),
 	pcb-rnd-io-alien (= ${binary:Version}),
 	pcb-rnd-lib-gui (= ${binary:Version}),
-	librnd3-hid-gtk2-gl (>=3.2.0),
-	librnd3-hid-gtk2-gdk (>=3.2.0),
+	librnd4-hid-gtk2-gl,
+	librnd4-hid-gtk2-gdk,
 	pcb-rnd-export (= ${binary:Version}),
 	pcb-rnd-export-sim (= ${binary:Version}),
 	pcb-rnd-export-extra (= ${binary:Version}),
@@ -163,7 +163,7 @@
 
 Package: pcb-rnd-export
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version}), librnd3 (>= 3.2.0), librnd3-pixmap (>=3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version}), librnd4, librnd4-pixmap
 Description: Common export plugins.
  Export the board in vector graphics (svg, ps, eps), raster graphics
  (png, jpeg, etc.), gerber, 3d model in openscad, xy for pick and
@@ -193,7 +193,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3 (>= 3.2.0)
+	librnd4
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: Netlist/schematics import plugins.
@@ -204,7 +204,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3 (>= 3.2.0),
+	librnd4,
 	pcb-rnd-lib-io (= ${binary:Version}),
 	pcb-rnd-io-standard (= ${binary:Version})
 Description: Autoroute and autoplace.
@@ -232,14 +232,14 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3-lib-gui (>= 3.2.0)
+	librnd4-lib-gui
 Description: Support library for building the GUI.
  Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window
  GUI elements.
 
 Package: pcb-rnd-core
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: pcb-rnd executable with the core functionality
@@ -254,7 +254,7 @@
 	pcb-rnd-core (= ${binary:Version}),
 	pcb-rnd-lib-io (= ${binary:Version}),
 	pcb-rnd-extra (= ${binary:Version}),
-	librnd3 (>= 3.2.0)
+	librnd4
 Description: File format compatibility with other PCB layout designers.
  Load and/or save boards in file formats supported by other EDA tools,
  such as KiCAD, Eagle, protel/autotrax, etc.
@@ -263,7 +263,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
 	pcb-rnd-core (= ${binary:Version}),
-	librnd3-cloud (>= 3.2.0),
+	librnd4-cloud,
 	pcb-rnd-export (= ${binary:Version}),
 Description: Networking plugins.
  'Cloud' footprint access plugin that integrates edakrill and
